Update a policy profile
Updates a policy profile. Changes hot-reload to active agent sessions.
JWT issued by Better Auth. Verified via JWKS.
In: header
Path Parameters
Unique project identifier (prefixed, e.g. prj_xxx).
Unique policy profile identifier (prefixed, e.g. pol_xxx).
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Mutable fields of a policy profile (used for create and update).
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X PUT "https://example.com/v1/projects/string/policies/string" \ -H "Content-Type: application/json" \ -d '{ "name": "string" }'{ "id": "pol_01h455vb4pex5vsknk084sn02q", "project_id": "prj_01h455vb4pex5vsknk084sn02q", "name": "Read-only analytics", "access_mode": "read_only", "statement_rules": { "allow": [ "string" ], "deny": [ "string" ] }, "table_allowlist": [ "string" ], "table_denylist": [ "string" ], "masking_rules": [ { "table": "users", "column": "email", "kind": "redact" } ], "budget_queries_per_hour": 0, "budget_queries_per_day": 0, "max_rows": 0, "statement_timeout_ms": 0, "row_filters": [ { "table": "orders", "predicate": "tenant_id = current_setting('pgbeam.tenant')" } ], "write_mode": "normal", "approval_mode": "off", "approval_auto_max_rows": 0, "approval_timeout_seconds": 300, "migration_safety": "off", "egress_bytes_per_day": 0, "created_at": "2019-08-24T14:15:22Z", "updated_at": "2019-08-24T14:15:22Z"}{ "error": { "code": "string", "message": "string" }}{ "error": { "code": "string", "message": "string" }}{ "error": { "code": "string", "message": "string" }}{ "error": { "code": "string", "message": "string" }}{ "error": { "code": "string", "message": "string" }}